Advertisement:

Author Topic: SMF2.1 Beta - Installing Issue - Did the extraction go wrong?  (Read 3162 times)

Offline Siirist

  • Sophist Member
  • *****
  • Posts: 1,201
  • Gender: Male
  • What would Kindred or Illori do?
    • A Sanctuary (Support for Survivors of abuse/Info for Family & Friends)
UPDATE:

I logged into my cPanel > MySQL Databases
I deleted SMF2-1
I created SMF21
gave user Cloud all permission to that database

Went to FileManager > public_html/ and deleted folder SMF2-1
Created folder public_html/SMF2.1-release-2.1
Uploaded SMF2.1-release-2.1.zip to that directory
Extracted file
was unable to find install.php
Looked in folder named "other" and found the following files:
install.php
install_2-1_mysql.mysql
install_2-1_postgresql.sql
readme.html
settings.php
upgrade.php
upgrade_1.0.sql
upgrade_1.1.sql
upgrade_2.0_mysql.sql
upgrade_2-1_postgresql.sql
upgrade_2.1_mysql.sql
upgrade_2-1_postgresql.sql

I moved install.php to public_html/SMF2.1-release-2.1
ran the install.php in my browser and got
Quote
    Critical Error!
    The installer could not find any install script files for the detected databases. Please check you have uploaded the necessary install script files to your forum directory, for example "install_2-1_mysql.sql"


So, do I need to move all those files from the "other" directory to public_html/SMF2.1-release-2.1?

Be Well,
Siirist
Needed information:
- What's your SMF version?, What MODs are installed? What Theme(s) are you using? Have you backed up your database?

--> At least 50% of the questions asked are answered in the Online Manual <--
Mods for ver 1.x will NOT run on ver 2.x

Offline Chen Zhen

  • Sophist Member
  • *****
  • Posts: 1,177
  • Gender: Male
  • If you're going through hell, keep going!
    • Underdog-01 on GitHub
    • WebDev.ca
Re: SMF2.1 Beta - Installing Issue - Did the extraction go wrong?
« Reply #1 on: July 05, 2016, 11:39:44 PM »
Move these files to the main directory:
install.php
install_2-1_mysql.mysql
install_2-1_postgresql.sql
readme.html
Settings.php


Move this folder to: ../Themes/defailt/images
icons


Regards.

My SMF Mods & Plug-Ins

WebDev
Simple Portal Support

Request politely & demand nothing.


Offline Illori

  • Project Manager
  • SMF Legend
  • *
  • Posts: 50,824
Re: SMF2.1 Beta - Installing Issue - Did the extraction go wrong?
« Reply #3 on: July 06, 2016, 05:15:21 AM »
Move this folder to: ../Themes/defailt/images
icons


you dont need to move that folder at all. it is a backup/reference folder.

Offline Siirist

  • Sophist Member
  • *****
  • Posts: 1,201
  • Gender: Male
  • What would Kindred or Illori do?
    • A Sanctuary (Support for Survivors of abuse/Info for Family & Friends)
Re: SMF2.1 Beta - Installing Issue - Did the extraction go wrong?
« Reply #4 on: July 06, 2016, 09:16:02 AM »
Bullet point 4?

http://www.simplemachines.org/community/index.php?topic=530252.msg3816577#msg3816577

Shambles,

True, true. I didn't know that was there. Here is why I didn't look there.

I had looked at Online Manual > Installing > Create a Database > Creating a Database User> Get SMF > Uploading Before Extracting > Setting File Permissions with the Installer (In many cases, the SMF installer can handle this for you) >  Run the Installer (point your browser at the file install.php in that directory).

I do try to look for the solution before posting, and the Online Manual seemed to be the best choice.



Side Note: As the Online Manual has a page that comes up which stipulates that there is a different method to do SOME things on ver 1.1.x versus ver 2.1.0,

Quote
Please see SMF1.1:Requirements and recommendations or SMF2.0:Requirements and recommendations depending on the version of SMF you are using.

would it be prudent to do so for this situation, i.e., Please see SMF1.1 & 2.0 Requirements and recommendations or SMF2.1 (Beta is not recommended for productions sites) :Requirements and recommendations  depending on the version of SMF you are installing.
If they select SMF2.1 (Beta is not recommended for productions sites) then it would include or reference Kindred's instructions, or simply link/redirect to Kindred's instructions?


Hmmm,

Siirist
Needed information:
- What's your SMF version?, What MODs are installed? What Theme(s) are you using? Have you backed up your database?

--> At least 50% of the questions asked are answered in the Online Manual <--
Mods for ver 1.x will NOT run on ver 2.x

Online Irisado

  • A Light in the Darkness
  • Doc Coordinator
  • SMF Super Hero
  • *
  • Posts: 10,003
  • Soñando debajo del arco iris
Re: SMF2.1 Beta - Installing Issue - Did the extraction go wrong?
« Reply #5 on: July 06, 2016, 09:52:00 AM »
The Online Manual will include written documentation for 2.1 in the future, however, it is too soon to produce such documentation in the Beta phase.
Soñando con una playa donde brilla el sol, un arco iris ilumina el cielo, y el mar espejea iridescentemente

Online Kindred

  • The Mean One
  • Support Specialist
  • SMF Legend
  • *
  • Posts: 58,241
  • Gender: Male
    • Kindred-999 on GitHub
Re: SMF2.1 Beta - Installing Issue - Did the extraction go wrong?
« Reply #6 on: July 06, 2016, 10:03:28 AM »
In general, it is assumed that, if you are running a beta version, you have a more-than-basic understanding of the process...  otherwise, you probably should not be running a beta version. :P
Please do not PM, IM or Email me with support questions.  You will get better and faster responses in the support boards.  Thank you.

Offline Siirist

  • Sophist Member
  • *****
  • Posts: 1,201
  • Gender: Male
  • What would Kindred or Illori do?
    • A Sanctuary (Support for Survivors of abuse/Info for Family & Friends)
Re: SMF2.1 Beta - Installing Issue - Did the extraction go wrong?
« Reply #7 on: July 06, 2016, 12:40:37 PM »
The Online Manual will include written documentation for 2.1 in the future, however, it is too soon to produce such documentation in the Beta phase.

Appreciate your reply Irisado.

Yeah, I see your point, maybe editing the Subject line of Kindred's post to include the word "Installing".
Be Well and Walk In Beauty,


In general, it is assumed that, if you are running a beta version, you have a more-than-basic understanding of the process...  otherwise, you probably should not be running a beta version. :P

Kindred,
*nods* I am getting that idea.  Thought I would get a preview and help with the identification of difficulties, issues, or "bugs".
As installing ver 2.1 Beta is indirectly causing problems with my ver 2.0 testforum and production forum. I think I am going to abandon the idea.

Hoping that you have enough helpers,
Siirist
Needed information:
- What's your SMF version?, What MODs are installed? What Theme(s) are you using? Have you backed up your database?

--> At least 50% of the questions asked are answered in the Online Manual <--
Mods for ver 1.x will NOT run on ver 2.x